com.ihr.xbrl.dts

## Class TableInfo

- java.lang.Object
- - com.ihr.xbrl.dts.TableInfo

-     public class TableInfo
      extends java.lang.Object

  Table info in an object model representation of the hierarchy of items in the table header.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableInfo(java.lang.String rowsRole, java.lang.String columnsRole)` Instantiates a new table info.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConceptHeader` | `getConceptHeaderColumns()` Gets the concept header columns.
    `ConceptHeader` | `getConceptheaderRows()` Gets the conceptheader rows.
    `java.util.Collection<ConceptInTable>` | `getConcepts()` Gets the concepts.
    `void` | `process(DTSContainer dts, DTSExplorer dte)` Process.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableInfo

          public TableInfo(java.lang.String rowsRole,
                   java.lang.String columnsRole)

      Instantiates a new table info.
      Parameters:
        `rowsRole` - the rows role
        `columnsRole` - the columns role

  - ### Method Detail

    - #### getConceptHeaderColumns

          public ConceptHeader getConceptHeaderColumns()

      Gets the concept header columns.
      Returns:
        the concept header columns

    - #### getConceptheaderRows

          public ConceptHeader getConceptheaderRows()

      Gets the conceptheader rows.
      Returns:
        the conceptheader rows

    - #### getConcepts

          public java.util.Collection<ConceptInTable> getConcepts()

      Gets the concepts.
      Returns:
        the concepts

    - #### process

          public void process(DTSContainer dts,
                     DTSExplorer dte)
                       throws TableInfoException

      Process.
      Parameters:
        `dts` - the dts
        `dte` - the dte
      Throws:
        `TableInfoException` - the table info exception